MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024640Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-02-19 08:522014-05-05 13:38
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024640: Broken logic of check of variable for zero in IntCurvesFace_Intersector constructor
DescriptionIn constructor of IntCurvesFace_Intersector class, the value of the variable dB is used as divisor before it is checked for being null. This causes FPE exception division-by-zero, in case when it is null.

The problem has been detected in test bugs step bug55 when testing fix of #22598, see 0022598:0027950; it occurs during translation of STEP file (shape fix), however the shape has not been saved thus no data for direct test case are available.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027954)
abv (manager)
2014-02-19 08:55

Fix pushed to CR24640, please review
(0027955)
ifv (developer)
2014-02-19 09:57

OK
(0027966)
mkv (tester)
2014-02-19 15:38

Dear BugMaster,

Branch CR24640 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 647d63b9bcbcc43f323f5aaf3caeca61d01d4a4a

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382515488 / 383419896
Total CPU difference: 42452.81999999998 / 42572.35999999976

Testing on Windows:
Total MEMORY difference: 429328532 / 429063576
Total CPU difference: 33209.015625 / 33299.265625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 7eb732b6
Timestamp: 2014-02-19 04:54:49
Author: abv
Committer: apn
Details ] Diff ]
0024640: Broken logic of check of variable for zero in IntCurvesFace_Intersector constructor

The check is fixed to avoid FPE division by zero
mod - src/IntCurvesFace/IntCurvesFace_Intersector.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-19 08:52 abv New Issue
2014-02-19 08:52 abv Assigned To => ifv
2014-02-19 08:55 abv Note Added: 0027954
2014-02-19 08:55 abv Status new => resolved
2014-02-19 09:57 ifv Note Added: 0027955
2014-02-19 09:57 ifv Status resolved => reviewed
2014-02-19 10:39 mkv Assigned To ifv => mkv
2014-02-19 15:38 mkv Note Added: 0027966
2014-02-19 15:38 mkv Test case number => Not needed
2014-02-19 15:38 mkv Assigned To mkv => bugmaster
2014-02-19 15:38 mkv Status reviewed => tested
2014-02-24 12:44 apn Changeset attached => occt master 7eb732b6
2014-02-24 12:44 apn Assigned To bugmaster => apn
2014-02-24 12:44 apn Status tested => verified
2014-02-24 12:44 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker